package nl.amis.adffaces.taskflowservices.interpreter;

import javax.faces.model.SelectItem;

public class Interpreter {
    
    String[] languages = new String[]{"Dutch", "English", "French", "German"};
    
    String currentLanguage = "Dutch";
    String source ;
    String target;
    
    
    public SelectItem[] getLanguagesSI() {
        SelectItem[] list = new SelectItem[languages.length];
        int i=0;
        for (String lang: languages) {
            list[i++] = new SelectItem(lang, lang);
            
        }
        return list;
    }

    public void setCurrentLanguage(String currentLanguage) {
        this.currentLanguage = currentLanguage;
    }

    public String getCurrentLanguage() {
        return currentLanguage;
    }

    public void  initSource(String source) {
      setSource(source);
    }
    public void setSource(String source) {
        this.source = source;
    }

    public String getSource() {
        return source;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getTarget() {
        return source+"in "+this.getCurrentLanguage() ;
    }
}
